CREATE TABLE gl_autorun_setup (
    AUTORUN_ENABLED_FLAG            VARCHAR2(4)   ,
    SUBMISSION_USER_ID              NUMBER(18, 0) ,
    DEFAULT_NOTIFY_USER_ID          NUMBER(18, 0) ,
    SUBMISSION_TIME                 TIMESTAMP(6)  ,
    LATEST_AUTORUN_REQUEST_ID       NUMBER(18, 0) ,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY              VARCHAR2(120) ,
    ATTRIBUTE_CHAR1                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                VARCHAR2(600) ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    LAST_CLEANUP_DATE               DATE          ,
    NOTIFY_USER_SELECTION_METHOD    VARCHAR2(120)     NOT NULL,
    DEFAULT_NOTIFY_ROLE_NAME        VARCHAR2(1024),
    AUTORUN_ENABLED_FLAG            VARCHAR2(4)   ,
    SUBMISSION_USER_ID              NUMBER(18, 0) ,
    DEFAULT_NOTIFY_USER_ID          NUMBER(18, 0) ,
    SUBMISSION_TIME                 TIMESTAMP(6)  ,
    LATEST_AUTORUN_REQUEST_ID       NUMBER(18, 0) ,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY              VARCHAR2(120) ,
    ATTRIBUTE_CHAR1                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR2                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR3                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR4                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR5                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR6                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR7                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR8                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR9                 VARCHAR2(600) ,
    ATTRIBUTE_CHAR10                VARCHAR2(600) ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    NOTIFY_USER_SELECTION_METHOD    VARCHAR2(120)     NOT NULL,
    DEFAULT_NOTIFY_ROLE_NAME        VARCHAR2(1024),
    LAST_CLEANUP_DATE               DATE          ,
    CONSTRAINT pk_gl_autorun_setup PRIMARY KEY (AUTORUN_ENABLED_FLAG, AUTORUN_ENABLED_FLAG)
);
